#
# spec file for package python-extras
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# A build cycle exists between python-extras and python-testtools. Thus, only
# enable testing with a build conditional (off by default):
%bcond_with tests
Name:           python-extras
Version:        1.0.0
Release:        4.22
Summary:        Extra bits for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/testing-cabal/extras
Source:         https://files.pythonhosted.org/packages/source/e/extras/extras-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Break cycle
#!BuildIgnore:  python-extras
BuildArch:      noarch
# Test requirements:
%if %{with tests}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module testtools}
%endif
%python_subpackages

%description
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.

%prep
%setup -q -n extras-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_exec %{_bindir}/nosetests
%endif

%files %{python_files}
%license LICENSE
%doc NEWS README.rst
%{python_sitelib}/extras
%{python_sitelib}/extras-%{version}-py%{python_version}.egg-info/

%changelog
* Fri Dec 21 2018 alarrosa@suse.com
- No change, submit to SLE-15-SP1 as a build dependency of pgadmin
  (fate#323396).
* Wed Dec  5 2018 jengelh@inai.de
- Trim bias from descriptions.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sat Apr  1 2017 aloisio@gmx.com
- Converted to single-spec
* Wed Aug 31 2016 aplanas@suse.com
- User https schema for Source URL
* Tue Aug 30 2016 tbechtold@suse.com
- Use pypi.io as Source url
* Tue Aug 30 2016 tbechtold@suse.com
  update to version 1.0.0
  * Add trove classifiers specifying Python 3 support.
  * Release 1.0.0.
  * Add a tox.ini for testing with.
  * Add a .travis.yml.
  * Handle import cycles.
  * Support universal wheels
* Fri Mar  7 2014 speilicke@suse.com
- Add 'tests' build conditional
* Mon Nov 25 2013 speilicke@suse.com
- Drop nose buildrequires, use testtools directly
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.0.3:
  * Fix support with older testtools
* Mon Jan 14 2013 saschpe@suse.de
- Run testsuite
- Add documentation
- Use SPDX style license (MIT)
* Mon Jan 14 2013 dmueller@suse.com
- Initial package (0.0.2)
